/*
            Luces_obras
    Encendido secuencial de varias luces al estilo de las
    que se encuentran en carreteras por obras.
    Para ATTiny85 en la placa Luces_obras
*/
 
#define TMP_ON 600        // tiempo que que permanecerá encendido cada LED
#define TMP_OFF 100       // tiempo que estarán apagados todos (en milisegundos)

int led0 = 0;    // PB0
int led1 = 1;
int led2 = 2;
int led3 = 3;
int led4 = 4;    // PB4

void setup()
{
byte i;                      // para el bucle inicial
    pinMode(led0, OUTPUT);   // todos los LEDs serán salida
    pinMode(led1, OUTPUT);
    pinMode(led2, OUTPUT);
    pinMode(led3, OUTPUT);
    pinMode(led4, OUTPUT);
    for (i=0; i<3; i++)      // intermitencia de todos los LEDs simultáneamente
    {                        //    como verificación de funcionamiento
        digitalWrite(led0, HIGH);
        digitalWrite(led1, HIGH);
        digitalWrite(led2, HIGH);
        digitalWrite(led3, HIGH);
        digitalWrite(led4, HIGH);
        delay (TMP_ON);
        digitalWrite(led0, LOW);
        digitalWrite(led1, LOW);
        digitalWrite(led2, LOW);
        digitalWrite(led3, LOW);
        digitalWrite(led4, LOW);
        delay (TMP_ON);
    }
}

// Programación elemental para el encendido secuencial
void loop()
{
    digitalWrite(led0, HIGH);    // enciende
    delay(TMP_ON);               //  durante el tiempo definido
    digitalWrite(led0, LOW);     // apaga
    delay(TMP_OFF);              // un momento apagados todos
    digitalWrite(led1, HIGH);    // ... y así con cada uno
    delay(TMP_ON);
    digitalWrite(led1, LOW);
    delay(TMP_OFF);
    digitalWrite(led2, HIGH);
    delay(TMP_ON);
    digitalWrite(led2, LOW);
    delay(TMP_OFF);
    digitalWrite(led3, HIGH);
    delay(TMP_ON);
    digitalWrite(led3, LOW);
    delay(TMP_OFF);
    digitalWrite(led4, HIGH);
    delay(TMP_ON);
    digitalWrite(led4, LOW);
    delay(TMP_OFF);
}
